---
lang: en
title: 'API docs: context.asbindingtemplate'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.asbindingtemplate.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [asBindingTemplate](./context.asbindingtemplate.md)

## asBindingTemplate() function

Convert binding scope and tags as a template function

**Signature:**

```typescript
export declare function asBindingTemplate<T = unknown>(scopeAndTags: BindingScopeAndTags): BindingTemplate<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  scopeAndTags | [BindingScopeAndTags](./context.bindingscopeandtags.md) | Binding scope and tags |

**Returns:**

[BindingTemplate](./context.bindingtemplate.md)<!-- -->&lt;T&gt;


